package com.example.controller;

import com.example.entity.RestBean;
import com.example.entity.vo.response.WeatherVO;
import com.example.service.WeatherService;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

//论坛相关接口都在这里
@RestController
@RequestMapping("/api/forum")
public class ForumController {

    @Resource
    WeatherService service;

    @GetMapping("/weather")
    public RestBean<WeatherVO> weather(double latitude, double longitude){
        WeatherVO weatherVO = service.fetchWeather(latitude, longitude);
        return weatherVO != null ?
                RestBean.success(weatherVO) : RestBean.failure(400, "获取地理位置信息失败！");
    }
}
